Complete Batch
const url = 'https://example.com/api/v2/batches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete';const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v2/batches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \ --header 'Authorization: Bearer <token>'Mark a batch as complete, indicating no more jobs will be added. Only the batch owner can perform this operation.
After calling this endpoint, no more jobs can be added via POST /api/v2/batches/{batch_id}/jobs. The batch will transition to RUNNING once jobs begin processing on hardware.
Returns: The completed batch with its updated status and partial job data.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Responses
Section titled “ Responses ”Successful Response
object
Response for a batch request which includes its jobs data but without the results.
This schema defines all the fields that can be publicly shared by the API.
object
Unique identifier for the batch.
Current batch status.
Deprecated. Use open instead. Indicates whether the batch is still accepting additional jobs. False means the batch is open; True means it is closed.
Whether the batch is open and accepting additional jobs.
Deprecated. Priority of the batch.
Target device type for the batch.
ID of the user who created the batch.
ID of the project this batch belongs to.
Timestamp when the batch was created.
Timestamp of the last batch update.
Total number of jobs in the batch.
Number of jobs grouped by status.
object
User-defined labels for organizing batches.
Response to a request for a job.
This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, 'logs_links' or 'results link'.
object
Unique identifier for the job.
Current job status.
ID of the batch this job belongs to.
ID of the project this job belongs to.
Timestamp when the job was created.
Timestamp of the last job update.
Position in the creation order within the batch.
Priority queue on which the batch is scheduled.
Example
{ "data": { "complete": false, "created_at": "2025-01-15T10:30:00Z", "device_type": "FRESNEL", "id": "00000000-0000-0000-0000-000000000002", "jobs": [ { "batch_id": "00000000-0000-0000-0000-000000000002", "created_at": "2025-01-15T10:30:00Z", "creation_order": 0, "id": "00000000-0000-0000-0000-000000000003", "progress": 0, "project_id": "00000000-0000-0000-0000-000000000001", "runs": 100, "status": "PENDING", "updated_at": "2025-01-15T10:30:00Z", "variables": { "omega": 5 } } ], "jobs_count": 1, "jobs_count_per_status": { "PENDING": 1 }, "open": true, "priority": 0, "project_id": "00000000-0000-0000-0000-000000000001", "queue_priority": "MEDIUM", "sequence_builder": "<serialized Pulser sequence>", "status": "PENDING", "tags": [], "updated_at": "2025-01-15T10:30:00Z", "user_id": "user-123" }}Validation Error
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}